# Generated from hiera-eyaml-4.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hiera-eyaml

Name: rubygem-%{gem_name}
Version: 4.2.0
Release: 1%{?dist}
Summary: OpenSSL Encryption backend for Hiera
License: MIT
URL: https://github.com/voxpupuli/hiera-eyaml/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
BuildRequires: ruby < 4
# BuildRequires: rubygem(rspec-expectations) >= 3.13
# BuildRequires: rubygem(rspec-expectations) < 4
# BuildRequires: rubygem(voxpupuli-rubocop) >= 2.8.0
# BuildRequires: rubygem(voxpupuli-rubocop) < 2.9
BuildArch: noarch

%description
Hiera backend for decrypting encrypted yaml properties.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/eyaml
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/PLUGINS.md
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/sublime_text
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/hiera-eyaml.gemspec

%changelog
* Mon Oct 21 2024 mockbuilder - 4.2.0-1
- Initial package
